- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaePassStateLightModelColorControlType Namespace Reference

The render state light model color control types. More...

## Enumerations
enum | Type { SINGLE_COLOR = 0x81F9, SEPARATE_SPECULAR_COLOR = 0x81FA, INVALID }
| The type of colors used within the light model. More...
## Functions
FCOLLADA_EXPORT Type | FromString (const char *value)
| Converts the COLLADA render state light model color control type string to the light model color control type.
Type | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Type type)
| Converts the light model color control type to its COLLADA render state light model color control type string.

## Detailed Description

The render state light model color control types.

## Enumeration Type Documentation

enum FUDaePassStateLightModelColorControlType::Type

  | The type of colors used within the light model. Enumerator:
  SINGLE_COLOR | Only one color should be used, for both the diffuse and specular lighting.
  INVALID | Two separate colors should be used for diffuse and specular lighting. An invalid light model color control type.

## Function Documentation

Type FUDaePassStateLightModelColorControlType::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Type FUDaePassStateLightModelColorControlType::FromString | ( | const char * | value | ) |

  | Converts the COLLADA render state light model color control type string to the light model color control type. Parameters:
  | value | The render state light model color control type string.
Returns: The light model color control type.

FCOLLADA_EXPORT const char* FUDaePassStateLightModelColorControlType::ToString | ( | Type | type | ) |

  | Converts the light model color control type to its COLLADA render state light model color control type string. Parameters:
  | type | The light model color control type.
Returns: The render state light model color control type string.